setDayOfMonth <- function(x, day) {
    if (!all(class(x)=="Date"))
        stop("input must be of class 'Date'")
    tmp <- as.POSIXlt(x)
    tmp$mday <- day[1L]
    as.Date(tmp)
}

getEndOfMonth <- function(x) {
    if (!all(class(x)=="Date"))
        stop("input must be of class 'Date'")
    tmp <- as.POSIXlt(x)
    tmp$mon <- tmp$mon + 1
    tmp$mday <- 1
    as.Date(tmp) - 1
}

getEndOfPreviousMonth <- function(x) {
    if (!all(class(x)=="Date"))
        stop("input must be of class 'Date'")
    tmp <- as.POSIXlt(x)
    tmp$mday <- 1
    as.Date(tmp) - 1
}

getFirstOfMonth <- function(x) {
    if (!all(class(x) == "Date"))
        stop("input must be of class 'Date'")
    tmp <- as.POSIXlt(x)
    tmp$mday <- 1
    as.Date(tmp)
}

isWeekend <- function(x) {
    if (!all(class(x)=="Date"))
        stop("input must be of class 'Date'")
    tmp <- as.POSIXlt(x)
    tmp$wday == 0L | tmp$wday == 6L
}

getNextBusinessDay <- function(x) {
    if (!all(class(x)=="Date"))
        stop("input must be of class 'Date'")
    x <- x + 1
    tmp <- as.POSIXlt(x)
    tmpi <- tmp$wday == 6L
    x[tmpi] <- x[tmpi] + 2
    tmpi <- tmp$wday == 0L
    x[tmpi] <- x[tmpi] + 1
    x
}

getPreviousBusinessDay <- function(x) {
    if (!all(class(x)=="Date"))
        stop("input must be of class 'Date'")
    x <- x - 1
    tmp <- as.POSIXlt(x)
    tmpi <- tmp$wday == 6L
    x[tmpi] <- x[tmpi] - 1
    tmpi <- tmp$wday == 0L
    x[tmpi] <- x[tmpi] - 2
    x
}
