\name{setDayOfMonth}
\alias{setDayOfMonth}
\alias{getEndOfMonth}
\alias{getEndOfPreviousMonth}
\alias{getFirstOfMonth}
\alias{isWeekend}
\alias{getNextBusinessDay}
\alias{getPreviousBusinessDay}

\title{
  Manipulating Dates
}
\description{
  Several convenience functions to manipulate vectors of class
  \code{\link{Date}}. The aim is not to simplify or enhance the existing
  time-and-date classes in R. All the package offers are a number of
  functions that expect vectors of class Date, and return vectors of
  class Date. There are no replacement functions.
}
\usage{
setDayOfMonth(x, day)
getEndOfMonth(x)
getEndOfPreviousMonth(x)
getFirstOfMonth(x)
isWeekend(x)
getNextBusinessDay(x)
getPreviousBusinessDay(x)
}
\arguments{
  \item{x}{
    a vector of class \code{Date}
  }
  \item{day}{
    an integer giving the  day
  }
}
\details{
To be added.
}
\value{
  All functions return a vector of class \code{Date}.
}
\references{
  Ripley, B.D. and Hornik, K. (2001) Date-Time Classes. \emph{R News}
  \strong{1} (2), pp. 8--11, \url{http://CRAN.R-project.org/doc/Rnews/Rnews_2001-2.pdf}
}
\author{
  Enrico Schumann
}

\seealso{
  \code{\link{Dates}}, \code{\link{DateTimeClasses}}
}
\examples{
x <- as.Date(c("2000-02-01", "2000-02-29", "2000-12-31"))
getEndOfMonth(x)
getFirstOfMonth(x)
setDayOfMonth(x, 5)
getEndOfPreviousMonth(x)
isWeekend(x)
}
